# knife delete

The knife delete subcommand is used to delete an object from a server. This subcommand works similar to `knife cookbook delete`, `knife data bag delete`, `knife environment delete`, `knife node delete`, and `knife role delete`, but with a single verb (and a single action).

## Syntax

This argument has the following syntax:

    $ knife delete [PATTERN...] (options)

## Options

Note

Review the list of common options available to this (and all) Knife subcommands and plugins.

This subcommand has the following options:

`--both`
  Indicates that both local and remote copies of an object should be deleted. Default: `false`.
`--chef-repo-path PATH`
  The path to the chef-repo. This setting will override the default path to the chef-repo. Default: same as specified by `chef_repo_path` in config.rb.
`--concurrency`
  The number of allowed concurrent connections. Default: `10`.
`--local`
  Indicates that only the local copy of an object should be deleted. (The remote copy will not be deleted.) Default: `false`.
`-r`, `--[no-]recurse`
  Use `--recurse` to delete directories recursively. Default: `--no-recurse`.
`--repo-mode MODE`
  The layout of the local chef-repo. Possible values: `static`, `everything`, or `hosted_everything`. Use `static` for just roles, environments, cookbooks, and data bags. By default, `everything` and `hosted_everything` are dynamically selected depending on the server type. Default: `everything` / `hosted_everything`.

## Examples

None.